"""Add execution_start_time, execution_end_time, detection_time, containment_time to tests.

Revision ID: b053
Revises: b052
Create Date: 2026-06-24
"""
from alembic import op
import sqlalchemy as sa

revision = "b053"
down_revision = "b052"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column("tests", sa.Column("execution_start_time", sa.DateTime(), nullable=True))
    op.add_column("tests", sa.Column("execution_end_time", sa.DateTime(), nullable=True))
    op.add_column("tests", sa.Column("detection_time", sa.DateTime(), nullable=True))
    op.add_column("tests", sa.Column("containment_time", sa.DateTime(), nullable=True))


def downgrade() -> None:
    op.drop_column("tests", "containment_time")
    op.drop_column("tests", "detection_time")
    op.drop_column("tests", "execution_end_time")
    op.drop_column("tests", "execution_start_time")
